
<!DOCTYPE html>
<html>
<head>
    <title>Choose your account</title>

    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- OCEAN -->
    <link rel="preload" href="../Nanta Ocean Branding/fonts/koho-v6-latin-regular.woff2" crossorigin="anonymous" as="font" type="font/woff2" />
	  <link rel="preload" href="../Nanta Ocean Branding/fonts/esphimere-bold.woff" crossorigin="anonymous" as="font" type="font/woff2" />
    <!-- OCEAN -->

    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Poppins|Inter"
    />
    <script
      src="https://code.jquery.com/jquery-3.5.1.min.js"
      integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0="
      crossorigin="anonymous"
    ></script>

    <link
      href="https://stapazureadb2c.blob.core.windows.net/nutrecocustomers/assets.css"
      rel="stylesheet"
      type="text/css"
	  data-preload="true"
    />
    <link
      href="https://stapazureadb2c.blob.core.windows.net/nutrecocustomers/idpselector.css"
      rel="stylesheet"
      type="text/css"
	  data-preload="true"
    />

    <link
      rel="stylesheet"
      href="https://stapazureadb2c.blob.core.windows.net/nutrecocustomers/style.css"
      type="text/css"
	  data-preload="true"
    />

    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css"
      integrity="sha512-+4zCK9k+qNFUR5X+cKL9EIR+ZOhtIloNl9GIKS57V1MyNsYpYcUrUeQc9vNfzsWfV28IaLL3i96P9sdNyeRssA=="
      crossorigin="anonymous"
    />

      <!--
          <link
            rel="stylesheet"
            href="../Trouw Nutrition Branding/style.css"
          />
      -->

    <script>		
		var storageUrl =
			"https://stapazureadb2c.blob.core.windows.net/nutrecocustomers";
		
		//storageUrl = ".";
		var rootUrl = "";
		
		function getUrlVars() {
			var vars = [],
				hash;
			var hashes = window.location.href
				.slice(window.location.href.indexOf("?") + 1)
				.split("&");
			for (var i = 0; i < hashes.length; i++) {
				hash = hashes[i].split("=");
				vars.push(hash[0]);
				vars[hash[0]] = hash[1];
			}
			return vars;
		}
		
		function urlExists(url, callback) {
			var result = false;
		
			$.ajax({
				type: "HEAD",
				url: url,
				async: true,
				success: function () {
					callback(true);
				},
				error: function () {
					callback(false);
				},
			});
		}
			
		
		$(document).ready(
			function () {

				var vars = getUrlVars();

				var client_id = vars["client_id"];
				var culture_id = vars["ui_locales"];
			
				// Added for second page branding:
				function getRefUrlVars() {
					var refvars = [],
						hash;
					var refhashes = document.referrer
						.slice(document.referrer.indexOf("?") + 1)
						.split("&");
					for (var i = 0; i < refhashes.length; i++) {
						hash = refhashes[i].split("=");
						refvars.push(hash[0]);
						refvars[hash[0]] = hash[1];
					}
					return refvars;
				}
		
				// if (!client_id) {
				//   return;
				// }
				if (!client_id) {
					var refvars = getRefUrlVars();
					// var client_id = refvars;
					var client_id = refvars["client_id"];
					var culture_id = refvars["ui_locales"];
					if (!client_id) {
						return;
					}
				}
			
				if (culture_id) {
					culture_id = culture_id.substring(0, 2);
				} else {
					culture_id = ''
				}
				// End added for second page branding
			
				rootUrl = `${storageUrl}/${client_id}/`;
			
				var cssId = "appCss";
				if (!document.getElementById(cssId)) {
					var head = document.getElementsByTagName("head")[0];
					var link = document.createElement("link");
					link.id = cssId;
					link.rel = "stylesheet";
					link.type = "text/css";
					link.href = rootUrl + "style.css";
					link.media = "all";
					head.appendChild(link);
				}
			
				if (
					urlExists(
						`${rootUrl}footer-inject-${culture_id}.html`,
						function (exists) {
							if (exists) {
								console.log(`${rootUrl}footer-inject-${culture_id}.html`);
								$.get(
									`${rootUrl}footer-inject-${culture_id}.html`,
									function (result) {
										$("footer").append(result);
									}
								);
							} else {
								console.log(`${rootUrl}footer-inject.html`);
								$.get(`${rootUrl}footer-inject.html`, function (result) {
									$("footer").append(result);
								});
							}
						}
					)
				)
				
				$(".imageFrame img").prop("src", `${rootUrl}logo.png`);
			
				// $("body").on("focus", "#password", function () {
				// 	if ($(".faspan").length === 0) {
				// 		$("#password").after(
				// 			`<span class="faspan"><i class="fas fa-eye" id="passwordEye"></i></span>`
				// 		);
				// 	}
				// });
			
				// $("body").on("click", "#passwordEye", function () {
				// 	$(this).toggleClass("fa-eye-slash");
			
				// 	var input = $("#password");
				// 	console.log("aa");
				// 	if (input.attr("type") === "password") {
				// 		input.attr("type", "text");
				// 	} else {
				// 		input.attr("type", "password");
				// 	}
				// });


			}
		);
		
		
		setTimeout(function () {
			/*      var h = $("#Nutreco").closest("div").clone().html();
			  $("#Nutreco").closest("div").empty();
			  $(".options").append("<div>" + h + "</div>");
			  $(".accountButton").css("opacity", "1");
			*/
			var u = `${rootUrl}logo.png`;
		
			urlExists(u, function (exists) {
				if (exists) {
					$(".imageFrame img").prop("src", u);
				} else {
					$(".imageFrame img").remove();
				}
			});
		
			$("#email").attr("placeholder", "");
		}, 50);

    </script>


</head>
<body>
	<header class="c-header">
	  <div class="c-brand-logo"></div>
	</header>
<main>
		<div class="o-wrapper o-wrapper--small"><div class="o-box">
    <div class="container  unified_container " role="presentation">
        <div class="row">
            <div class="col-lg-6">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="o-box__inner" id="api" role="main">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div></div>
    </main>
      <!-- FOOTER -->
  <footer class="c-footer"></footer>
  <!-- FOOTER -->
<script>
			if(document.getElementById("signInName")){
				document.getElementById("signInName").tabIndex =1
				document.getElementById("password").tabIndex=2
				document.getElementById("next").tabIndex=4
				document.getElementById("forgotPassword").tabIndex=3
			}
			$(document).ready(
			
			function () {
					// Terms and Conditions
					browserLang = navigator.language || navigator.userLanguage;
					baseLang = browserLang.split("-")[0];
					termsShown = "none";
					termsUrl = "";
					showTerms = document.getElementById('AgreeToTermsAndConditionsYes_option');
					termsVersion = "1.0"
					termsUrl = `${storageUrl}/termsAndConditions/termsAndConditions-${termsVersion}`;
					if(showTerms !== null){
						document.getElementsByClassName('o-wrapper o-wrapper--small')[0].classList.add('o-wrapper--terms');
						if (
							urlExists(
								`${termsUrl}-${browserLang}.htm`,
								function (exists) {
									if (exists) {
										console.log(`${termsUrl}-${browserLang}.htm`);
										$.get(
											`${termsUrl}-${browserLang}.htm`,
											function (result) {
												termsShown = (`termsAndConditions-${termsVersion}-${browserLang}.htm`);
												$(".CheckboxMultiSelect.extension_termsAndConditionsConsentChoice_li").before(`<iframe width="100%" frameBorder="0" height="400px" src="${storageUrl}/termsAndConditions/${termsShown}" />`);
												document.getElementById('extension_termsAndConditionsConsentFile').value = termsShown;
											}
										);
									} else {
										urlExists(
											`${termsUrl}-${baseLang}.htm`,
											function (exists) {
												if (exists) {
													console.log(`$termsAndConditions-${termsVersion}-${baseLang}.htm`);
													$.get(
														`${termsUrl}-${baseLang}.htm`,
														function (result) {
															termsShown = (`termsAndConditions-${termsVersion}-${baseLang}.htm`);
															$(".CheckboxMultiSelect.extension_termsAndConditionsConsentChoice_li").before(`<iframe width="100%" frameBorder="0" height="400px" src="${storageUrl}/termsAndConditions/${termsShown}" />`);
															document.getElementById('extension_termsAndConditionsConsentFile').value = termsShown;
														}
													);
												} else {
													console.log(`${termsUrl}.htm`);
													$.get(
														`${termsUrl}.htm`,
														function (result) {
															termsShown = (`termsAndConditions-${termsVersion}.htm`);
															$(".CheckboxMultiSelect.extension_termsAndConditionsConsentChoice_li").before(`<iframe width="100%" frameBorder="0" height="400px" src="${storageUrl}/termsAndConditions/${termsShown}" />`);
															document.getElementById('extension_termsAndConditionsConsentFile').value = termsShown;
														});
												}
											}
										)
									}
								}
							)
						);
					};
				}
		)
		
			
		</script>
</body>
</html>
